> For the complete documentation index, see [llms.txt](https://docs.suggestic.com/graphql/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.suggestic.com/graphql/query/queries/lab-tests/historical-biomarker-results.md).

# Historical Biomarker Results

User `historicalBiomarkerResults` to retrieve all of the user's historical lab results for all biomarkers.

### Available Arguments

| Argument                  | Type                        | Description                                                                                            |
| ------------------------- | --------------------------- | ------------------------------------------------------------------------------------------------------ |
| `first`                   | Int                         | Retrieves the first results from the list.                                                             |
| `after`                   | String                      | See [pagination](https://docs.suggestic.com/graphql/start-here/tutorials-and-walkthroughs/pagination). |
| `before`                  | String                      | See [pagination](https://docs.suggestic.com/graphql/start-here/tutorials-and-walkthroughs/pagination). |
| `last`                    | Int                         | See [pagination](https://docs.suggestic.com/graphql/start-here/tutorials-and-walkthroughs/pagination). |
| `filters`                 | BiomarkerResultsFilterInput |                                                                                                        |
| `filters.biomarkerId`     | ID                          | Id of the biomarker.                                                                                   |
| `filters.boiomerkerName`  | String                      | Name of the biomarker.                                                                                 |
| `filters.categoryId`      | ID                          | Id of biomarker category.                                                                              |
| `filters.IntervalRange`   | BiomarkerIntervalRange      | enum: `ALL`, `IN_OPTIMAL_RANGE`, `IN_RANGE`, `OUT_RANGE`                                               |
| `filters.labTestReportId` | ID                          | Id of the test report.                                                                                 |

### Available Fields

| Field Name       | Type          | Description                                                                                                                           |
| ---------------- | ------------- | ------------------------------------------------------------------------------------------------------------------------------------- |
| `id`             | ID            | Id of the profile biomarker.                                                                                                          |
| `date`           | datetime      | Use the format: `YYYY-MM-DDT hh:mm:ssZ`                                                                                               |
| `value`          | GenericScalar | The `GenericScalar` scalar type represents a generic GraphQL scalar value that could be: String, Boolean, Int, Float, List or Object. |
| `displayValue`   | String        | Value to be displayed                                                                                                                 |
| `createdAt`      | datetime      | Use the format: `YYYY-MM-DDT hh:mm:ssZ`                                                                                               |
| `updatedAt`      | datetime      | Use the format: `YYYY-MM-DDT hh:mm:ssZ`                                                                                               |
| `biomarker`      | biomarker     |                                                                                                                                       |
| `biomarker.id`   | Id            | Id of the biomarker.                                                                                                                  |
| `biomarker.name` | String        | Name of biomarker.                                                                                                                    |
| `alert`          | Boolean       | `True` if alert is active otherwise `False.`                                                                                          |
| `alertText`      | String        | Text shown in the alert.                                                                                                              |

### Example

{% tabs %}
{% tab title="Request" %}

```graphql
query {
    historicalBiomarkerResults {
        edges {
            node {
                id 
                date 
                value 
                createdAt 
                updatedAt
                alert
                alertText
                biomarker {
                    id 
                    name
                }
            }
        }
    }
}
```

{% endtab %}

{% tab title="Response" %}

```graphql
{
  "data": {
    "historicalBiomarkerResults": {
      "edges": [
        {
          "node": {
            "id": "UHJvZmlsZUJpb21hcmtlcjox",
            "date": "2022-12-12T00:00:00+00:00",
            "value": {
              "type": "number",
              "value": 10
            },
            "createdAt": "2022-12-12T15:00:11.571707+00:00",
            "updatedAt": "2022-12-12T15:00:11.571728+00:00",
            "alert": true,
            "alertText": "Sample Text",
            "biomarker": {
              "id": "QmlvbWFya2VyOjE=",
              "name": "Diabetes Risk Index"
            }
          }
        },
        {
          "node": {
            "id": "UHJvZmlsZUJpb21hcmtlcjoy",
            "date": "2022-10-01T00:00:00+00:00",
            "value": {
              "type": "number",
              "value": 10
            },
            "createdAt": "2022-12-12T15:08:54.903325+00:00",
            "updatedAt": "2022-12-12T15:08:54.903339+00:00",
            "biomarker": {
              "id": "QmlvbWFya2VyOjE=",
              "name": "Diabetes Risk Index"
            }
          }
        }
      ]
    }
  }
}


```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.suggestic.com/graphql/query/queries/lab-tests/historical-biomarker-results.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
